//
//  SubCategoryCell.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 08/01/2025.
//

import SwiftUI

struct SubCategoryCell: View {
    var text: String
    @Binding var isChecked: Bool

    var body: some View {
        VStack(alignment: .leading, spacing: 0) {
            HStack {
                if isChecked {
                    SQImage("checked_neutral", height: 20)
                } else {
                    SQImage("checkbox_unchecked", height: 20)
                }
                SQText("Bricolage - Travaux")
            }
            .padding()
            Divider()
                .padding(.horizontal)
        }
    }
}

#Preview {
    SubCategoryCell(text: "Bricolage - Petits travaux", isChecked: .constant(true))
}
